PHP Manual
Prev |  | Next

# cpdf_place_inline_image

(PHP 3 >= 3.0.9, PHP 4, PHP 5 <= 5.0.4)

cpdf_place_inline_image -- Places an image on the page

## Description

bool cpdf_place_inline_image ( int pdf_document, int image, float x_coor, float y_coor, float angle, float width, float height, int gsave [, int mode] )

Places an image created with the PHP image functions on the page. The image can be scaled at the same time.

> Note: This function is only available if PHP was compiled with the GD Graphics Library 1.3. See the GD extension installation instructions for further information.

## Parameters

`pdf_document`

  The document handle, returned by cpdf_open().

`image`

  An image created with the PHP image functions

`x_coor`

  The x-coordinate of the image

`y_coor`

  The y-coordinate of the image

`angle`

  The image rotation angle, in degrees

`width`

  The image width

`height`

  The image height

`gsave`

  Should be non-zero to allow this function to operate correctly

`mode`

  The optional parameter `mode` determines the unit length. If it is 0 or omitted the default unit as specified for the page is used. Otherwise the coordinates are measured in postscript points disregarding the current unit.

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## See Also

cpdf_import_jpeg()

Prev | Home | Next
cpdf_page_init | Up | cpdf_rect